org.apache.ignite.spi.systemview.view

## Class PagesTimestampHistogramView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.PagesTimestampHistogramView

-     public class PagesTimestampHistogramView
      extends Object

  Pages timestamp histogramm representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagesTimestampHistogramView(String dataRegionName, long intervalStart, long intervalEnd, long pagesCnt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dataRegionName()`
    `Date` | `intervalEnd()`
    `Date` | `intervalStart()`
    `long` | `pagesCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagesTimestampHistogramView

          public PagesTimestampHistogramView(String dataRegionName,
                                             long intervalStart,
                                             long intervalEnd,
                                             long pagesCnt)

      Parameters:
        `dataRegionName` - Data region name.
        `intervalStart` - Start of timestamps interval.
        `intervalEnd` - End of timestamps interval.
        `pagesCnt` - Count of pages last accessed within given interval.

  - ### Method Detail

    - #### dataRegionName

          public String dataRegionName()

      Returns:
        Data region name.

    - #### intervalStart

          public Date intervalStart()

      Returns:
        Start of timestamps interval.

    - #### intervalEnd

          public Date intervalEnd()

      Returns:
        End of timestamps interval.

    - #### pagesCount

          public long pagesCount()

      Returns:
        Count of pages last accessed within given interval.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023